from engines.inference_engine cimport InferenceEngine


cdef class OnnxEngine(InferenceEngine):

    cdef public object session
    cdef object _cpu_session
    cdef object model_inputs
    cdef str input_name
    cdef object input_shape

    cdef tuple get_input_shape(self)
    cdef int get_batch_size(self)
    cdef run(self, input_data)
